Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
oldbt_arg Struct Reference

## Data Fields
VALUE | filename
int | lineno
void(* | func )(void *data, VALUE file, int lineno, VALUE name)
void * | data

## Detailed Description

Definition at line 662 of file vm_backtrace.c.

## Field Documentation

void* oldbt_arg::data

Definition at line 666 of file vm_backtrace.c.

Referenced by oldbt_iter_cfunc(), oldbt_iter_iseq(), rb_backtrace_print_as_bugreport(), and vm_backtrace_print().

VALUE oldbt_arg::filename

Definition at line 663 of file vm_backtrace.c.

Referenced by oldbt_bugreport(), oldbt_init(), oldbt_iter_cfunc(), and oldbt_iter_iseq().

void(* oldbt_arg::func)(void *data, VALUE file, int lineno, VALUE name)

Definition at line 665 of file vm_backtrace.c.

Referenced by oldbt_iter_cfunc(), oldbt_iter_iseq(), rb_backtrace_print_as_bugreport(), and vm_backtrace_print().

int oldbt_arg::lineno

Definition at line 664 of file vm_backtrace.c.

Referenced by oldbt_init(), oldbt_iter_cfunc(), and oldbt_iter_iseq().

The documentation for this struct was generated from the following file:

- vm_backtrace.c